Subject: bug#59064: 29.0.50; build problem git worktree linked to main worktree (repo)

From: Gregor Zattler <[email-masked]>
Date: Sun, 06 Nov 2022 22:35:37 +0100

Hi Matt, Emacs developers,
* Matt Armstrong <[email-masked]> [2022-11-06; 10:17 -08]:
> X-Debbugs-CC: Philip Kaludercic <[email-masked]>
>
> Hi Philip, this bug manifests for Gregor as Emacs build error in a
> particular kind of git repository, but it is really a problem with
> `vc-git-mode-line-string' caused by a recent commit of yours to
> `vc-working-revision'.  Could you take a look?
>
>
> Gregor Zattler <[email-masked]> writes:
>
>> I will try to bisect.
[...]
> Gregor, no need to bisect.

I already did and it hit on the wrong commit
(44ad42240069d8d82772b0c0ef5ec93c2566ca7e) :-(

> Your most recent instructions helped.

That's good to hear, but I have no idea how you came to your
conclusion :-)

Thanks for your efforts, Gregor
--
 -... --- .-. . -.. ..--.. ...-.-